CreateCollector
Creates the Collector for the caller's account. Provisions an AWS Config service-linked recorder using the caller's federated access session and begins recording infrastructure changes.
Request Syntax
POST /collectors HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"k8ClusterRole": {
"externalId": "string",
"roleArn": "string"
},
"type": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[!-~]{1,128}Required: No
- k8ClusterRole
-
The kubernetes Cluster Role.
Type: KubernetesClusterRoleConfiguration object
Required: No
- type
-
The type.
Type: String
Valid Values:
AWS_COLLECTORRequired: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"collectorArn": "string",
"collectorId": "string",
"createdAt": "string",
"status": "string",
"type": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- collectorArn
-
The Amazon Resource Name (ARN) of the collector.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1011.
Pattern:
arn:[a-z0-9-]+:continuum:[a-z0-9-]+:[0-9]{12}:collectors/[a-z0-9]+ - collectorId
-
The identifier of the collector.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9]+ - createdAt
-
The timestamp when the resource was created.
Type: Timestamp
- status
-
The current status of the resource.
Type: String
Valid Values:
ACTIVE | PENDING_DELETION - type
-
The type.
Type: String
Valid Values:
AWS_COLLECTOR
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is not authorized. Verify that your credentials and request signature are valid and that you have permission to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request couldn't be processed because of an internal server issue. Try again later. If the problem persists, contact AWS Support.
HTTP Status Code: 500
- ServiceQuotaExceededException
-
The request would exceed a service quota. Review your quota and request an increase if needed.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request failed to satisfy the constraints specified by AWS Continuum. Correct the fields identified in the error and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: